Bug 449769 - tracker-applet crash at tracker-applet.c:1951
Summary: tracker-applet crash at tracker-applet.c:1951
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 9
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-03 14:12 UTC by Allan Engelhardt
Modified: 2009-07-14 15:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 15:07:34 UTC


Attachments (Terms of Use)
BugBuddy bugreport strack trace (6.74 KB, text/plain)
2008-06-03 14:12 UTC, Allan Engelhardt
no flags Details

Description Allan Engelhardt 2008-06-03 14:12:47 UTC
Description of problem:

The tracker applet crashes consistently when opening and closing the preferences
dialog.

[I am assuming this is the right component to file under: the package is
tracker-tools but that is not listed on BugZilla?]

Version-Release number of selected component (if applicable):

$ rpm -qf /usr/bin/tracker-applet
tracker-search-tool-0.6.6-2.fc9.x86_64
$ rpm -qf $(ldd /usr/bin/tracker-applet | awk '{print $3;}' | grep '^/') | sort -u
atk-1.22.0-1.fc9.x86_64
cairo-1.6.4-1.fc9.x86_64
dbus-glib-0.74-6.fc9.x86_64
dbus-libs-1.2.1-1.fc9.x86_64
expat-2.0.1-5.x86_64
fontconfig-2.5.0-2.fc9.x86_64
freetype-freeworld-2.3.5-3.lvn8.x86_64
glib2-2.16.3-5.fc9.x86_64
glibc-2.8-3.x86_64
gtk2-2.12.9-5.fc9.x86_64
libcap-2.06-4.fc9.x86_64
libglade2-2.6.2-5.fc9.x86_64
libnotify-0.4.4-10.fc9.x86_64
libpng-1.2.29-1.fc9.x86_64
libselinux-2.0.64-2.fc9.x86_64
libX11-1.1.4-1.fc9.x86_64
libXau-1.0.3-5.fc9.x86_64
libxcb-1.1-4.fc9.x86_64
libXcomposite-0.4.0-4.fc9.x86_64
libXcursor-1.1.9-2.fc9.x86_64
libXdmcp-1.0.2-5.fc9.x86_64
libXext-1.0.4-1.fc9.x86_64
libXfixes-4.0.3-3.fc9.x86_64
libXi-1.1.3-4.fc9.x86_64
libXinerama-1.0.3-1.fc9.x86_64
libxml2-2.6.32-2.fc9.x86_64
libXrandr-1.2.2-3.fc9.x86_64
libXrender-0.9.4-3.fc9.x86_64
pango-1.20.1-1.fc9.x86_64
pixman-0.10.0-1.fc9.x86_64
tracker-0.6.6-2.fc9.x86_64
zlib-1.2.3-18.fc9.x86_64

How reproducible: Always


Steps to Reproduce:
1. Start tracker-applet
2. Right-click and select 'Preferences'
3. Select the 'Close' button on the preferences dialog
  
Actual results: Crash


Expected results: No crash?


Additional info:

1. BugBuddy bugreport attached - looks like a Gnome problem?
2. Output on command line is
$ tracker-applet 

warning: "/usr/lib/debug/lib/modules/2.6.25.3-18.fc9.x86_64/vdso/vdso.so.debug":
The separate debug info file has no debug info

Comment 1 Allan Engelhardt 2008-06-03 14:12:47 UTC
Created attachment 308240 [details]
BugBuddy bugreport strack trace

Comment 2 Bug Zapper 2009-06-10 01:22:32 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 15:07:34 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.